<?php

namespace Buddycore;

class Hooks {

	public function __construct() {

		if ( is_admin() ) {
			add_action( 'init', [ $this, 'initialize_meta_boxes' ] );
		}
		add_action( 'admin_init', [ $this, 'vc_disable_update' ], 9 );

	}

	public function vc_disable_update() {
		if ( function_exists( 'vc_license' ) && function_exists( 'vc_updater' ) && ! vc_license()->isActivated() ) {

			remove_filter( 'upgrader_pre_download', array( vc_updater(), 'preUpgradeFilter' ), 10 );
			remove_filter( 'pre_set_site_transient_update_plugins', array(
				vc_updater()->updateManager(),
				'check_update'
			) );

		}
	}

	/**
	 * Initialize the metabox class.
	 */
	public function initialize_meta_boxes() {

		/* Add meta boxes only on posts and pages to prevent conflicts like cmb2 */
		$allowed_post_types = apply_filters( 'kleo_meta_boxes_on_post_type', [ 'post', 'page', 'product' ] );
		$post_type          = $this->kleo_get_current_post_type();
		if ( $post_type && in_array( $post_type, $allowed_post_types ) ) {

			if ( file_exists( BA_CORE_PATH . 'lib/metaboxes/init.php' ) ) {
				require_once BA_CORE_PATH . 'lib/metaboxes/init.php';
			}
		}
	}

	private function kleo_get_current_post_type() {
		if (isset( $_REQUEST['post_type'] ) ) {
			return $_REQUEST['post_type'];
		} elseif ( isset( $_REQUEST['post'] ) && get_post_type( $_REQUEST['post'] ) ) {
			return get_post_type( $_REQUEST['post'] );
		}
		return false;
	}

}