<?php
/**
 * Plugin Name: BuddyApp Core
 * Description: Adds core features to BuddyApp theme.

 * Author: SeventhQueen.com
 * Version: 1.0.5
 * Author URI: https://seventhqueen.com
 *
 * Text Domain: buddyapp-core
 *
 * @package BuddyApp
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'BA_CORE_VERSION', '1.0.5' );

define( 'BA_CORE__FILE__', __FILE__ );
define( 'BA_CORE_PLUGIN_BASE', plugin_basename( BA_CORE__FILE__ ) );
define( 'BA_CORE_PATH', plugin_dir_path( BA_CORE__FILE__ ) );
define( 'BA_CORE_URL', plugins_url( '/', BA_CORE__FILE__ ) );

define( 'BA_CORE_MODULES_PATH', plugin_dir_path( BA_CORE__FILE__ ) . 'inc/modules' );
define( 'BA_CORE_ASSETS_PATH', BA_CORE_PATH . 'assets/' );
define( 'BA_CORE_ASSETS_URL', BA_CORE_URL . 'assets/' );

add_action( 'plugins_loaded', 'buddycore_load_plugin_textdomain' );

require BA_CORE_PATH . 'inc/Plugin.php';
require_once BA_CORE_PATH . 'lib/sq-import/import.php';

/**
 * Load textdomain.
 *
 * @since 1.0.0
 *
 * @return void
 */
function buddycore_load_plugin_textdomain() {
	load_plugin_textdomain( 'buddyapp-core' );
}
