<?php
/**
 * The Header for our theme
 *
 * Displays all of the <head> section and everything up till <div id="page-wrapper">
 *
 * @package WordPress
 * @subpackage BuddyApp
 * @since BuddyApp 1.0
 */
?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=EDGE"/>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0"/>

    <meta name="mobile-web-app-capable" content="yes">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<?php if ( function_exists( 'bp_is_active' ) ) { bp_head(); } ?>

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php wp_body_open(); ?>

<?php do_action( 'kleo_after_body' ); ?>

<!-- Document Wrapper
============================================= -->
<div id="page-wrapper" class="clearfix">

	<?php
	/**
	 * Included Header section using actions
	 *
	 * adds topbar
	 * adds primary menu
	 * adds logo
	 * adds page title section
	 *
	 * Templates used:
	 * @see page-parts/_header-side.php - (outputs sidemenu)
	 * @see page-parts/header-top.php - (outputs top header)
	 * @see page-parts/page-title/ - (outputs page title based on theme options)
	 *
	 * @hooked kleo_show_header - 12
	 */

	do_action( 'kleo_header' ); ?>
